Emacs UI: indentation is wrong after ?keyword

12 Mar 2014 12:52 - John Abbott

Status: New Start date: 12 Mar 2014

Priority: Low Due date:  

Assignee:  % Done: 0%

Category: EmacsUI Estimated time: 0.00 hour

Target version: CoCoA-5.?.? Spent time: 1.00 hour

Description

I have identified one case where indentation in a cocoa5 file goes wrong.

I have checked that C-c C-e is confused too.

The file contained the line

? Foreach

after that line indentation was wrong (as though the code were inside a Foreach block :-))    

Modify the emacs UI code so that keywords are ignored when appearing after a ? (the same way they are ignored in strings and

comments)

History

#1 - 12 Mar 2014 12:59 - John Abbott

Recall that ? simply has to be the first non-space character in a command (and not the first non-space character on a line).  So I believe we can treat

? in much the same way as -- (rest of line comment)

I have given this low priority because I think it is typically quite rare for a cocoa5 file to contain ?keyword as a line (except in a teaching context). 

Anyway, it would be nice to sort this out sooner or later.

#2 - 23 Mar 2014 12:37 - John Abbott

I guess the relevant fn is cocoa5-calculate-indent on line cocoa5.el:716

AARRGHHH it's almost 100 lines long ? 

#3 - 23 Mar 2014 13:22 - John Abbott

I felt better before looking at this code...

Giving up!

#4 - 02 Apr 2014 17:34 - Anna Maria Bigatti

- Target version set to CoCoA-5.1.0 Easter14

#5 - 17 Apr 2014 18:47 - John Abbott

- Target version changed from CoCoA-5.1.0 Easter14 to CoCoA-5.?.?
